> For the complete documentation index, see [llms.txt](https://docs.salesmap.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.salesmap.kr/developers/api-reference/crm/organization/history.md).

# 회사 히스토리 목록 조회

<mark style="color:green;">`GET`</mark> `/v2/organization/history`

회사의 히스토리 목록을 조회합니다.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Query parameters**

| Name             | Type   | Description        |
| ---------------- | ------ | ------------------ |
| `cursor`         | string | 페이지네션을 위한 커서       |
| `organizationId` | string | 히스토리를 조회하려는 회사의 id |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "data": {
        "organizationHistoryList": [
            {
                "id": "<historyId>",
                "organizationId": "<organizationId>",
                "type": "<type>",
                "source": {
                    "type": "field",
                    "id": null,
                    "name": null
                },
                "fieldName": "필드 이름",
                "fieldValue": "필드 값",
                "ownerId": "<ownerId>",
                "createdAt": "2024-03-29T11:16:26.207Z"
            }
        ],
        "nextCursor": "cursor"
    }
}
```

| Path                                         | Type         | Description                                                     |
| -------------------------------------------- | ------------ | --------------------------------------------------------------- |
| `data.organizationHistoryList[].source`      | object       | 히스토리를 생성한 주체 정보입니다.                                             |
| `data.organizationHistoryList[].source.type` | string       | 생성 주체의 종류입니다. 예: `user`, `workflow`, `sequence`, `api`, `field` |
| `data.organizationHistoryList[].source.id`   | string\|null | 생성 주체의 식별자입니다.                                                  |
| `data.organizationHistoryList[].source.name` | string\|null | 생성 주체의 이름 스냅샷입니다.                                               |
| {% endtab %}                                 |              |                                                                 |

{% tab title="40x" %}

```json
{
    "success": false,
    "message": "에러 메세지"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.salesmap.kr/developers/api-reference/crm/organization/history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
